Summary: Utilities for manipulating .desktop files
Name: desktop-file-utils
Version: 0.10
Release: 7
URL: http://www.freedesktop.org/software/desktop-file-utils
Source0: %{name}-%{version}.tar.gz
Patch0: desktop-file-utils-0.9-nogroup.patch
Patch1: desktop-file-utils-0.10-dont-use-unintialized-memory.patch
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: glib2-devel >= 2.2.0
BuildRequires: popt
BuildRequires: emacs

Obsoletes: desktop-file-validator

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%prep
%setup -q
%patch0 -p1 -b .nogroup
%patch1 -p1 -b .dont-use-uninitialized-memory

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We don't want the vfs module yet
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmenu*
/bin/rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/modules/menu-modules.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications || :

%preun
update-desktop-database %{_datadir}/applications || :

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/emacs/site-lisp/

%changelog
* Wed Jul 26 2006 Jesse Keating <jkeating@redhat.com> - 0.10-7
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.10-6.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Ray Strode <rstrode@redhat.com> - 0.10-6
- call update-desktop-database in %%preun (bug 180898)
- don't fail if update-desktop-database fails
- don't use %%makeinstall

* Fri Feb 10 2006 Ray Strode <rstrode@redhat.com> - 0.10-5
- call update-desktop-database in %%post (bug 180898)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.10-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Ray Strode <rstrode@redhat.com> - 0.10-4
- don't use uninitialized memory (bug 178591)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Aug 31 2005 Ray Strode <rstrode@redhat.com> - 0.10-3
- bump build requires for glib to 2.2.0 (bug #146585).

* Thu May 12 2005 Ray Strode <rstrode@redhat.com> - 0.10-2
- Add build requires for emacs (bug #141297).

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> - 0.10-1
- Update to 0.10

* Mon Oct 18 2004 Miloslav Trmac <mitr@redhat.com> - 0.9-2
- Output error message instead of assertion failure (#134934)

* Tue Sep 28 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9, remove upstreamed patches

* Mon Sep 27 2004 Ray Strode <rstrode@redhat.com> 0.8-6
- Swap if and else in egg_desktop_entries_get_locale_encoding
  to prevent allocating massive amounts of unneeded ram.

* Mon Sep 27 2004 Ray Strode <rstrode@redhat.com> 0.8-5
- Swap if and else in egg_desktop_entries_get_locale_country
  to prevent allocating massive amounts of unneeded ram.

* Thu Sep 23 2004 Ray Strode <rstrode@redhat.com> 0.8-4
- Fix the fix for --remove-show-in option

* Thu Sep 23 2004 Ray Strode <rstrode@redhat.com> 0.8-3
- Fix --remove-show-in option

* Mon Sep 13 2004 Dan Williams <dcbw@redhat.com> 0.8-2
- Fix RH #131983 (annoying log message about "entries != NULL")

* Fri Sep  3 2004 Mark McLoughlin <markmc@redhat.com> 0.8-1
- Update to 0.8

* Sat Jul 31 2004 Dan Williams <dcbw@redhat.com> 0.7-1
- Update to 0.7

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar  1 2004 Dan Williams <dcbw@redhat.com> 0.4-2
- Fix RH #117201, initial comment fails validation
- Add in, but do not use, Frederic Crozat's freedesktop.org
    menu-spec 0.8 patch

* Thu Feb 19 2004 Mark McLoughlin <markmc@redhat.com> 0.4-1
- Update to 0.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Sep  3 2003 Havoc Pennington <hp@redhat.com> 0.3-10
- fix for #103276 (int/size_t issue) from twoerner

* Mon Jul  7 2003 Alexander Larsson <alexl@redhat.com> 0.3-9
- Rebuild

* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 0.3-8
- rebuild

* Thu Jun  5 2003 Jonathan Blandford <jrb@redhat.com> 0.3-6
- Backport patch to allow @MODIFIER in locale keys

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- fix more error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- remove old symlinks before creating new ones, chills out 
  a lot of error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- version 0.3

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.2.95 cvs snap, should fix OnlyShowIn

* Mon Jul 22 2002 Havoc Pennington <hp@redhat.com>
- 0.2.94 cvs snap, adds --print-available

* Tue Jul  9 2002 Havoc Pennington <hp@redhat.com>
- 0.2.93 cvs snap with a crash fixed, and corrects [KDE Desktop Entry]

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.92 cvs snap with --remove-key and checking for OnlyShowIn
  and missing trailing semicolons on string lists

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.91 cvs snap with --copy-name-to-generic-name and
  --copy-generic-name-to-name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.2.90 cvs snap with --delete-original fixed

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build
